function setPercentColor()
  if percent~=nil then
    if percent==100 then
      love.graphics.setColor(0, 255, 0)
    elseif percent>89 then
      love.graphics.setColor(50, 255, 0)
    elseif percent>79 then
      love.graphics.setColor(100, 255, 0)
    elseif percent>69 then
      love.graphics.setColor(150, 255, 0)
    elseif percent>59 then
      love.graphics.setColor(200, 255, 0)
    elseif percent>49 then
      love.graphics.setColor(255, 255, 0)
    elseif percent>39 then
      love.graphics.setColor(255, 200, 0)
    elseif percent>29 then
      love.graphics.setColor(255, 150, 0)
    elseif percent>19 then
      love.graphics.setColor(255, 100, 0)
    elseif percent>9 then
      love.graphics.setColor(255, 50, 0)
    elseif percent>0 then
      love.graphics.setColor(255, 0, 0)
    end
  end
end

function love.keyreleased(key)
  if key=="escape" then
    love.event.quit()
  end
end

function love.load()
  unknownBattery = love.graphics.newImage("unknownBattery.png")
  battery = love.graphics.newImage("battery.png")
  noBattery = love.graphics.newImage("noBattery.png")
  chargingBattery = love.graphics.newImage("chargingBattery.png")
  chargedBattery = love.graphics.newImage("chargedBattery.png")
  currentBattery = love.graphics.newImage("battery.png")

  love.graphics.setNewFont("font.otf", 50)

  cooldown = 0

  state, percent, seconds = love.system.getPowerInfo()

  if state=="unknown" then
    currentBattery = unknownBattery
  elseif state=="battery" then
    currentBattery = battery
  elseif state=="nobattery" then
    currentBattery = noBattery
  elseif state=="charging" then
    currentBattery = chargingBattery
  elseif state=="charged" then
    currentBattery = chargedBattery
  end
end

function love.update(dt)
  if math.floor(cooldown)==1 then
    state, percent, seconds = love.system.getPowerInfo()

    if state=="unknown" then
      currentBattery = unknownBattery
    elseif state=="battery" then
      currentBattery = battery
    elseif state=="nobattery" then
      currentBattery = noBattery
    elseif state=="charging" then
      currentBattery = chargingBattery
    elseif state=="charged" then
      currentBattery = chargedBattery
    end
    cooldown = 0
  else
    cooldown = cooldown + dt
  end
end

function love.draw()
  if currentBattery==battery then
    love.graphics.draw(currentBattery, love.graphics.getWidth()/2, love.graphics.getHeight()/2, 0, 1, 1, battery:getWidth()/2, battery:getHeight()/2)

    setPercentColor()

    if percent~=nil then
      love.graphics.rectangle("fill", 175, 200, percent*4, 200)
    else
      love.graphics.rectangle("fill", 175, 200, 0, 200)
    end

    love.graphics.setColor(255, 255, 255)

    if percent~=nil then
      love.graphics.print(percent.."%", 350, love.graphics.getHeight()/2-200)
    end

    if seconds~=nil then
      love.graphics.print(math.floor(seconds/60/60).."h "..math.floor(seconds/60-60*math.floor(seconds/60/60)).."m", 275, love.graphics.getHeight()/2+150)
    end
  else
    love.graphics.draw(currentBattery, love.graphics.getWidth()/2-75, love.graphics.getHeight()/2, 0, 1, 1, battery:getWidth()/2, battery:getHeight()/2)

    setPercentColor()

    if percent~=nil then
      love.graphics.rectangle("fill", 100, 200, percent*4, 200)
    else
      love.graphics.rectangle("fill", 100, 200, 0, 200)
    end

    love.graphics.setColor(255, 255, 255)

    if percent~=nil then
      love.graphics.print(percent.."%", 275, love.graphics.getHeight()/2-200)
    end

    if state=="charging" then
      love.graphics.print(math.floor((100-percent+2)).."m", 275, love.graphics.getHeight()/2+150)
    else
      if seconds~=nil then
        love.graphics.print(math.floor(seconds/60/60).."h "..math.floor(seconds/60-60*math.floor(seconds/60/60)).."m", 200, love.graphics.getHeight()/2+150)
      end
    end
  end
end
